Summary: 	A guile Library for Scientific Simulations
Name: 		libctl
Version: 	4.1.3
Release: 	1%{?dist}
%if 0%{?suse_version}
License:	LGPL
%else
License:	LGPLv2+
%endif
Group:		Development/Libraries
URL: 		http://ab-initio.mit.edu/wiki/index.php/Libctl
Source0: 	https://github.com/stevengj/libctl/releases/download/v4.1.3/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

Autoreqprov:	On

#%if 0%{?suse_version}
#BuildRequires:  gcc-fortran
#%else
BuildRequires:  gcc-gfortran
#%endif
#%if 0%{?suse_version} >= 1200
#BuildRequires:  libguile1-devel
#BuildRequires:  pkgconfig
#Requires:	guile1
#%else
BuildRequires:  guile-devel
Requires:	guile
#%endif
BuildRequires:  chrpath
#Patch:          guile_fix.diff

%description
libctl is a free Guile (http://www.gnu.org/software/guile/)-based
library implementing flexible control files for scientific
simulations. It was written to support our MIT Photonic Bands and Meep
software, but has proven useful in other programs too.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
#%if 0%{?suse_version} >= 1200
#%patch -p1
#%endif

%build
#%if 0%{?suse_version} >= 1200
#autoreconf -f -i
#%endif
%configure --enable-shared
%{__make}

%install
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
chrpath -d $RPM_BUILD_ROOT%_libdir/libctl*.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_datadir}/%{name}


%files devel
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*


%changelog
* Wed Sep 19 2018 Subimal Deb <subimal.deb@gmail.com> - 4.1.3-1
- Update to version 4.1.3
* Sun Apr  9 2017 Subimal Deb <subimal.deb@gmail.com> - 3.2.2-1
- Update to version 3.2.2
* Thu Jan  2 2014 Dave Love <d.love@liverpool.ac.uk> - 3.2.1-1
- Support Red Hat derivatives
- Make -devel package
- Build shared libs
- Update to v 3.2.1
- Use distribution URL for Source0 
- Don't BR autoconf
- Purge rpath
- Call ldconfig

* Sat Oct 10 2009 Werner Hoch <werner.ho@gmx.de> - 3.1
- new version 3.1
* Sun Nov 23 2008 Werner Hoch <werner.ho@gmx.de> - 3.0.3
- fixed build error on Factory
* Sun Jul 20 2008 Werner Hoch <werner.ho@gmx.de> - 3.0.3
- new version 3.0.3
* Sat Oct 20 2007 Werner Hoch <werner.ho@gmx.de> - 
- Initial build of version 3.0.2
